Download it now!
Bug 114204 - Clarify the "Local Help not installed" message
Summary: Clarify the "Local Help not installed" message
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: low trivial
Assignee: tagezi
URL:
Whiteboard: target:6.1.0
Keywords: difficultyBeginner, easyHack, skillUI
Depends on:
Blocks: Help-Msgbox
  Show dependency treegraph
 
Reported: 2017-12-02 09:29 UTC by Mike Kaganski
Modified: 2018-01-10 22:38 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2017-12-02 09:29:18 UTC
There are lots of questions on AskLibO site regarding problem when one installs the local help, but LO keeps telling that local help is not installed.

Usually it's because the UI language set in Language Options is different from installed help pack's. But that is not evident from the message.

The proposal is to clarify the message and include information about specific language set currently, like this:

"Local help for current UI language (Klingon) is not installed. ..."

This would allow users to easily see that help language should correspond to which setting, easily choose correct pack, and in case of mistake, understand the reason themselves.
Comment 2 Adolfo Jayme 2017-12-03 19:39:45 UTC
Yep, I buy that. Marking as an easy hack. The dialog (added with bug 103391) is located at https://cgit.freedesktop.org/libreoffice/core/tree/sfx2/uiconfig/ui/helpmanual.ui
Comment 3 Yousuf Philips (jay) (retired) 2017-12-05 15:55:16 UTC
We currently have "The %PRODUCTNAME built-in help is not installed on your computer.", so its enough to expand it to "The %PRODUCTNAME built-in help for %LOCALE is not installed on your computer."

Mentioning 'for current UI language' is unnecessary, especially for users who never changed the UI language.
Comment 4 Mike Kaganski 2017-12-05 16:00:01 UTC
(In reply to Yousuf Philips (jay) from comment #3)
> Mentioning 'for current UI language' is unnecessary, especially for users
> who never changed the UI language.

I strongly disagree. While some people don't change UI language, this text doesn't force no one to lookup anything, so there shouldn't be any problems; but it also makes it clear which of the language options is related here.
Comment 5 Heiko Tietze 2017-12-06 14:16:38 UTC
If %LOCALE is the system variable then I agree with Mike. I run LibO in English on a system with mixed localization. On the other hand, if %LOCALE points to Tools > Options > Language > UI Jay's text reads more smoothly. 

With "The %PRODUCTNAME built-in help for %OPTIONSLOCALE is not installed on your computer." we could run into (minor= trouble when no help at all is installed.
Comment 6 tagezi 2017-12-06 14:52:19 UTC
(In reply to Heiko Tietze from comment #5)
> If %LOCALE is the system variable then I agree with Mike. I run LibO in
> English on a system with mixed localization. On the other hand, if %LOCALE
> points to Tools > Options > Language > UI Jay's text reads more smoothly. 
> 
> With "The %PRODUCTNAME built-in help for %OPTIONSLOCALE is not installed on
> your computer." we could run into (minor= trouble when no help at all is
> installed.

Firstly, the string look like "The "%PRODUCTNAME built-in help for current UI language ($UILOCALE) is not installed on your computer."
https://gerrit.libreoffice.org/gitweb?p=core.git;a=commitdiff;h=a3dd6b62aadcd992a6ed312242b4705869fc4fc7
Secondly, the goal of this bug report is to allow the person to know that the help for the specific current interface language is not installed.
And it should go to the online help (button below), set help for this language or change the interface language.
If you are confused by the look of the placeholder that is changing, I can change it to $UILANGUAGE. It's not a variable, it's a place that will be replaced. It can be like "current UI language ((͡° ͜ʖ ͡°)shove_to_here) is not installed" :)
Comment 7 Mike Kaganski 2017-12-06 14:56:02 UTC
Well, the %LOCALE here is Tools > Options > Language > UI.

I am not convinced that "reads more smoothly" = "is more helpful". You are discussing a message that is meant to give some info to user. A user could e.g. be willing to change the UI language to fix this, not to download a different help pack.

So please describe which problem do you expect.

The specifics of the text (e.g., some more thought text instead of my naive "current UI language", like including mention of the options dialog page) could change, but my feeling is that there *should* be indication that there's connection between LO UI language and displayed help.
Comment 8 Commit Notification 2017-12-20 17:35:59 UTC
tagezi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=400b70f85fdf0ae5a6d606eb3fff683b9f1ce7ab

tdf#114204 - Clarify the "Local Help not installed" message

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.